| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Public Member Functions | Protected Attributes | Properties | List of all members
IG.Num.InputOutputElementDefinition Class Reference

Base class for input or output data element definition for vector functions, approximations, etc. More...

Inheritance diagram for IG.Num.InputOutputElementDefinition:
[legend]

## Public Member Functions
| InputOutputElementDefinition (int elementIndex, string name, string title, string description)
| Constructor. More...
| InputOutputElementDefinition (string name)
| Constructor. Element index is unknown, there is no element description. More...
| InputOutputElementDefinition (string name, string title)
| Constructor. Element index is unknown. More...
| InputOutputElementDefinition (string name, string title, string description)
| Constructor. Element index is unknown. More...
void | GetDistortedBounds (double DistortionFactor, double RandomFactor, ref double distortedMinimalValue, ref double distrotedMaximalValue)
| Calculates randomly distorted bounds on element values and stores them in the specified variables. More...
void | GetDistortedBounds (double DistortionFactor, double RandomFactor, ref double distortedMinimalValue, ref double distrotedMaximalValue, IRandomGenerator randomGenerator)
| Calculates randomly distorted bounds on element values and stores them in the specified variables. More...
override string | ToString ()

## Static Public Member Functions
static void | CopyPlain (InputOutputElementDefinition original, InputOutputElementDefinition copy)
| Copies data from one input/output data element definition to another. More...
static string | GetDefaultInputElementName (int which)
| Returns a default name for the specified input data element. More...
static string | GetDefaultOutputElementName (int which)
| Returns a default name for the specified output data element. More...
static string | GetDefaultInputElementTitle (int which)
| Returns a default title for the specified input data element. More...
static string | GetDefaultOutputElementTitle (int which)
| Returns a default title for the specified output data element. More...
static string | GetDefaultInputElementDescription (int which)
| Returns a default description for the specified input data element. More...
static string | GetDefaultOutputElementDescription (int which)
| Returns a default description for the specified output data element. More...

## Protected Attributes
string | _name
string | _nameAlt
string | _title
string | _description
bool | _isInput = true
bool | _elementindexSpecified = false
int | _elementIndex = -1
bool | _boundsDefined = false
double | _minValue
double | _maxValue
bool | _targetValueDefined = false
double | _targetValue = 0.0
bool | _scalingLengthDefined = false
double | _scalingLength = 0.0

## Properties
virtual string | Name`[get, set]`
| Unique name of the data element described by the current definition. Considered a kind of variable name that distinguishes between data by short names. More...
virtual string | NameAlt`[get, set]`
| Alternative name of the data element described by the current definition. More...
virtual string | Title`[get, set]`
| A title describing what given data element represents. Titles can contain special characters and spaces, but should be shorter than descriptions. More...
virtual string | Description`[get, set]`
| Describes the meaning of a data element used as part of input or output data. More...
virtual bool | IsInput`[get, set]`
| Flag specifying whether a data element is input or output element. More...
virtual bool | ElementIndexSpecified`[get, set]`
| Specifies whether element index is specified for the data element described by the current definition. More...
virtual int | ElementIndex`[get, set]`
| Specifies the index f the element described by the current definition, within the data vextor (either input or output). More...
virtual bool | BoundsDefined`[get, set]`
| Flag indicating whethe minimal and maximal value are defined for the data element described by the current definition. More...
virtual double | MinimalValue`[get, set]`
| Minimal value for the data element described by the current definition. More...
virtual double | MaximalValue`[get, set]`
| Maximal value for the data element described by the current definition. More...
virtual bool | TargetValueDefined`[get, set]`
| Flag indicating whether target value is defined for the data element described by the current definition. More...
virtual double | TargetValue`[get, set]`
| Target value of the current element. Used for optimization. More...
virtual bool | ScalingLengthDefined`[get, set]`
| Flag indicating whether scaling length is defined for the data element described by the current definition. More...
virtual double | ScalingLength`[get, set]`
| Scaling length, used for optimization and other tasks where scaling of input or output quantities is important. More...

## Detailed Description

Base class for input or output data element definition for vector functions, approximations, etc.

$A Igor Feb11;

## Constructor & Destructor Documentation

IG.Num.InputOutputElementDefinition.InputOutputElementDefinition | ( | int | elementIndex,
|  | string | name,
|  | string | title,
|  | string | description
| ) |  |
| inline

Constructor.

Parameters

  elementIndex | Index of the input or output data element specified by the current definision. If less than 0 is specified then it is considered that element index is not known or defined in the current context.
  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).
  description | Element description. Can be an arbvitrary string.

IG.Num.InputOutputElementDefinition.InputOutputElementDefinition | ( | string | name | ) |
| inline

Constructor. Element index is unknown, there is no element description.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.

IG.Num.InputOutputElementDefinition.InputOutputElementDefinition | ( | string | name,
|  | string | title
| ) |  |
| inline

Constructor. Element index is unknown.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).

IG.Num.InputOutputElementDefinition.InputOutputElementDefinition | ( | string | name,
|  | string | title,
|  | string | description
| ) |  |
| inline

Constructor. Element index is unknown.

Parameters

  name | Element name. Should comply with conventions for valid variable names in languages C++, C# and Java.
  title | Short descriptive title (like name, but can contain spaces and special characters).
  description | Element description. Can be an arbitrary string.

## Member Function Documentation

static void IG.Num.InputOutputElementDefinition.CopyPlain | ( | InputOutputElementDefinition | original,
|  | InputOutputElementDefinition | copy
| ) |  |
| inline static

Copies data from one input/output data element definition to another.

Parameters

  original | Source object that data is copied from.
  copy | Object to which data is copied.

Operation is performed only if both sorce and destination objects are non-null.

References IG.Num.InputOutputElementDefinition.BoundsDefined, IG.Num.InputOutputElementDefinition.Description, IG.Num.InputOutputElementDefinition.ElementIndex, IG.Num.InputOutputElementDefinition.ElementIndexSpecified, IG.Num.InputOutputElementDefinition.IsInput, IG.Num.InputOutputElementDefinition.MaximalValue, IG.Num.InputOutputElementDefinition.MinimalValue, IG.Num.InputOutputElementDefinition.Name, IG.Num.InputOutputElementDefinition.NameAlt, IG.Num.InputOutputElementDefinition.ScalingLength, IG.Num.InputOutputElementDefinition.ScalingLengthDefined, IG.Num.InputOutputElementDefinition.TargetValue, IG.Num.InputOutputElementDefinition.TargetValueDefined, and IG.Num.InputOutputElementDefinition.Title.

Referenced by IG.Num.InputElementDefinition.CopyPlain(), and IG.Num.OutputElementDefinition.CopyPlain().

void IG.Num.InputOutputElementDefinition.GetDistortedBounds | ( | double | DistortionFactor,
|  | double | RandomFactor,
|  | ref double | distortedMinimalValue,
|  | ref double | distrotedMaximalValue
| ) |  |
| inline

Calculates randomly distorted bounds on element values and stores them in the specified variables.

Before being randomly changed, input bounds are multiplied by the specified factor.

Global random generator is used to generate random componenets of the distorted bounds.

Parameters

  DistortionFactor | Factor by which interval bounds are multiplied before randomly distorted.
  RandomFactor | Factor that specifies level of randomness, from 0 (no randomness in setting distorted bounds) to 0.4 inclusively. Factor 0.5 would mean that amplitude of additional random distortion is half of the length of the interval [min, max].
  distortedMinimalValue | Variable where distorted lower bound is stored.
  distrotedMaximalValue | Variable where distorted upper bound is stored.

Referenced by IG.Script.LoadableScriptShellNeuralBase.CreateDistortedModelData().

void IG.Num.InputOutputElementDefinition.GetDistortedBounds | ( | double | DistortionFactor,
|  | double | RandomFactor,
|  | ref double | distortedMinimalValue,
|  | ref double | distrotedMaximalValue,
|  | IRandomGenerator | randomGenerator
| ) |  |
| inline

Calculates randomly distorted bounds on element values and stores them in the specified variables.

Before being randomly changed, input bounds are multiplied by the specified factor.

Parameters

  DistortionFactor | Factor by which interval bounds are multiplied before randomly distorted.
  RandomFactor | Factor that specifies level of randomness, from 0 (no randomness in setting distorted bounds) to 0.4 inclusively. Factor 0.5 would mean that amplitude of additional random distortion is half of the length of the interval [min, max].
  distortedMinimalValue | Variable where distorted lower bound is stored.
  distrotedMaximalValue | Variable where distorted upper bound is stored.
  randomGenerator | Random generator used to randomly generate distorted bounds.

References IG.Num.RandomGenerator.Global, IG.Num.IRandomGenerator.NextDouble(), and IG.Num.M.Swap().

static string IG.Num.InputOutputElementDefinition.GetDefaultInputElementName | ( | int | which | ) |
| inline static

Returns a default name for the specified input data element.

Parameters

  which | Index of the element (zero-based).

Referenced by IG.Script.LoadableScriptShellNeuralBase.CreateDistortedModelData().

static string IG.Num.InputOutputElementDefinition.GetDefaultOutputElementName | ( | int | which | ) |
| inline static

Returns a default name for the specified output data element.

Parameters

  which | Index of the element (zero-based).

static string IG.Num.InputOutputElementDefinition.GetDefaultInputElementTitle | ( | int | which | ) |
| inline static

Returns a default title for the specified input data element.

Parameters

  which | Index of the element (zero-based).

Referenced by IG.Script.LoadableScriptShellNeuralBase.CreateDistortedModelData().

static string IG.Num.InputOutputElementDefinition.GetDefaultOutputElementTitle | ( | int | which | ) |
| inline static

Returns a default title for the specified output data element.

Parameters

  which | Index of the element (zero-based).

static string IG.Num.InputOutputElementDefinition.GetDefaultInputElementDescription | ( | int | which | ) |
| inline static

Returns a default description for the specified input data element.

Parameters

  which | Index of the element (zero-based).

Referenced by IG.Script.LoadableScriptShellNeuralBase.CreateDistortedModelData().

static string IG.Num.InputOutputElementDefinition.GetDefaultOutputElementDescription | ( | int | which | ) |
| inline static

Returns a default description for the specified output data element.

Parameters

  which | Index of the element (zero-based).

override string IG.Num.InputOutputElementDefinition.ToString | ( |  | ) |
| inline

## Member Data Documentation

string IG.Num.InputOutputElementDefinition._name
| protected

string IG.Num.InputOutputElementDefinition._nameAlt
| protected

string IG.Num.InputOutputElementDefinition._title
| protected

string IG.Num.InputOutputElementDefinition._description
| protected

bool IG.Num.InputOutputElementDefinition._isInput = true
| protected

bool IG.Num.InputOutputElementDefinition._elementindexSpecified = false
| protected

int IG.Num.InputOutputElementDefinition._elementIndex = -1
| protected

bool IG.Num.InputOutputElementDefinition._boundsDefined = false
| protected

double IG.Num.InputOutputElementDefinition._minValue
| protected

double IG.Num.InputOutputElementDefinition._maxValue
| protected

bool IG.Num.InputOutputElementDefinition._targetValueDefined = false
| protected

double IG.Num.InputOutputElementDefinition._targetValue = 0.0
| protected

bool IG.Num.InputOutputElementDefinition._scalingLengthDefined = false
| protected

double IG.Num.InputOutputElementDefinition._scalingLength = 0.0
| protected

## Property Documentation

virtual string IG.Num.InputOutputElementDefinition.Name
| get set

Unique name of the data element described by the current definition. Considered a kind of variable name that distinguishes between data by short names.

There is an agreement that element names should follow conventions for valid variable names in programming languages C++, C# and Java.

Referenced by IG.Num.InputElementDefinition.Copy(), IG.Num.OutputElementDefinition.Copy(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyDataToGridRow(), IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyGridRowToData(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Num.InputOutputDataDefiniton.Create(), IG.Script.LoadableScriptShellNeuralBase.CreateDistortedModelData(), IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.InputOutputDataDefiniton.GetElementNameParameters(), IG.Num.InputOutputDataDefiniton.IsAnyInputNameDefined(), IG.Num.InputOutputDataDefiniton.IsAnyOutputNameDefined(), IG.Neural.MappingDefinition.IsInputDataConsistent(), IG.Neural.MappingDefinition.IsOutputDataConsistent(), IG.Script.LoadableScriptShellNeuralBase.PrintNeuralData(), IG.Num.SampledDataCsv.ReadElementNames(), IG.Neural.NeuralTadej.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveSampledDataCSV(), IG.Num.SampledDataSet.SaveSampledDataCSVinOneLine(), IG.Neural.NeuralTadej.SaveTrainingDataCSV(), IG.Neural.NeuralTadej.SaveTrainingDataCSVinOneLine(), IG.Forms.UtilResponseForms.SelectedOutputLabelText(), IG.Forms.UtilResponseForms.SelectedParameterLabelText(), IG.Num.SampledDataCsv.StoreDefinition(), IG.Num.InputOutputDataDefiniton.SupplementDataDefinition(), IG.Forms.OutputValueSelector.UpdateDataDefinition(), and IG.Forms.InputParameterSelectorMinMax.UpdateDataDefinition().

virtual string IG.Num.InputOutputElementDefinition.NameAlt
| get set

Alternative name of the data element described by the current definition.

Used in transformations between different data sets where parameters may be named differently.

There is an agreement that element names should follow conventions for valid variable names in programming languages C++, C# and Java.

Referenced by IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), and IG.Num.InputOutputElementDefinition.CopyPlain().

virtual string IG.Num.InputOutputElementDefinition.Title
| get set

A title describing what given data element represents. Titles can contain special characters and spaces, but should be shorter than descriptions.

Referenced by IG.Forms.InputParametersControl.CopyDataToGrid(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyDataToGridRow(), IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyGridRowToData(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Num.InputOutputDataDefiniton.Create(), IG.Script.LoadableScriptShellNeuralBase.CreateDistortedModelData(), IG.Forms.InpuOrOutputtDataDefinitionControl.CreateInputElement(), IG.Forms.InpuOrOutputtDataDefinitionControl.CreateOutputElement(), IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.InputOutputDataDefiniton.IsAnyInputTitleDefined(), IG.Num.InputOutputDataDefiniton.IsAnyOutputTitleDefined(), IG.Num.SampledDataCsv.ReadElementTitles(), IG.Neural.NeuralTadej.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveSampledDataCSV(), IG.Num.SampledDataSet.SaveSampledDataCSVinOneLine(), IG.Neural.NeuralTadej.SaveTrainingDataCSV(), IG.Neural.NeuralTadej.SaveTrainingDataCSVinOneLine(), IG.Forms.UtilResponseForms.SelectedOutputLabelText(), IG.Forms.UtilResponseForms.SelectedParameterLabelText(), IG.Num.SampledDataCsv.StoreDefinition(), IG.Num.InputOutputDataDefiniton.SupplementDataDefinition(), IG.Forms.OutputValueSelector.UpdateDataDefinition(), and IG.Forms.InputParameterSelectorMinMax.UpdateDataDefinition().

virtual string IG.Num.InputOutputElementDefinition.Description
| get set

Describes the meaning of a data element used as part of input or output data.

Referenced by IG.Forms.InpuOrOutputtDataDefinitionControl.CopyDataToGridRow(), IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyGridRowToData(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Num.InputOutputDataDefiniton.Create(), IG.Script.LoadableScriptShellNeuralBase.CreateDistortedModelData(), IG.Forms.InpuOrOutputtDataDefinitionControl.CreateInputElement(), IG.Forms.InpuOrOutputtDataDefinitionControl.CreateOutputElement(), IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.InputOutputDataDefiniton.IsAnyInputDescriptionDefined(), IG.Num.InputOutputDataDefiniton.IsAnyOutputDescriptionDefined(), IG.Script.LoadableScriptShellNeuralBase.PrintNeuralData(), IG.Num.SampledDataCsv.ReadElementDescriptions(), IG.Neural.NeuralTadej.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveSampledDataCSV(), IG.Num.SampledDataSet.SaveSampledDataCSVinOneLine(), IG.Neural.NeuralTadej.SaveTrainingDataCSV(), IG.Neural.NeuralTadej.SaveTrainingDataCSVinOneLine(), IG.Num.SampledDataCsv.StoreDefinition(), and IG.Num.InputOutputDataDefiniton.SupplementDataDefinition().

virtual bool IG.Num.InputOutputElementDefinition.IsInput
| get set

Flag specifying whether a data element is input or output element.

Referenced by IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Num.InputOutputElementDefinition.CopyPlain(), and IG.Num.InputOutputDataDefiniton.SupplementDataDefinition().

virtual bool IG.Num.InputOutputElementDefinition.ElementIndexSpecified
| get set

Specifies whether element index is specified for the data element described by the current definition.

remarks>If not specified, then by agreement the ElementIndex is set to -1. Getter of this property automatically set ElementIndex to -1 if the property is set to false.

Referenced by IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Num.InputOutputDataDefiniton.IsAnyInputElementIndexSpecified(), IG.Num.InputOutputDataDefiniton.IsAnyOutputElementIndexSpecified(), IG.Num.InputOutputDataDefiniton.SupplementDataDefinition(), and IG.Num.SampledDataCsv.UpdateDataColumnDefinitions().

virtual int IG.Num.InputOutputElementDefinition.ElementIndex
| get set

Specifies the index f the element described by the current definition, within the data vextor (either input or output).

remarks>If not specified, then by agreement the ElementIndex is set to -1. Getter of this property automatically set ElementIndexSpecified flag to false if the property is set to less than 0, and to true otherwise.

Referenced by IG.Num.InputOutputDataDefiniton.AddInputElement(), IG.Num.InputOutputDataDefiniton.AddOutputElement(), IG.Forms.InputParametersControl.CopyDataToGrid(), IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyGridRowToData(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Num.InputOutputDataDefiniton.SupplementDataDefinition(), and IG.Num.SampledDataCsv.UpdateDataColumnDefinitions().

virtual bool IG.Num.InputOutputElementDefinition.BoundsDefined
| get set

Flag indicating whethe minimal and maximal value are defined for the data element described by the current definition.

Referenced by IG.Forms.InputParametersControl.CopyDataToGrid(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyDataToGridRow(), IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyGridRowToData(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.InputOutputDataDefiniton.GetInputBounds(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputMax(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputMin(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputPerturbance(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputRelative(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputVector(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralOutputPerturbance(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralOutputRelative(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralOutputVector(), IG.Num.InputOutputDataDefiniton.GetOutputBounds(), IG.Script.LoadableScriptShellNeuralBase.GetRandomNeuralInputFromDataDefinition(), IG.Script.LoadableScriptShellNeuralBase.GetRandomNeuralOutput(), IG.Script.LoadableScriptShellNeuralBase.GetSimulationInputMax(), IG.Script.LoadableScriptShellNeuralBase.GetSimulationInputMin(), IG.Script.LoadableScriptShellNeuralBase.InputDistance(), IG.Num.InputOutputDataDefiniton.IsAnyInputBoundDefined(), IG.Num.InputOutputDataDefiniton.IsAnyOutputBoundDefined(), IG.Neural.NeuralTadej.LoadDefinitionDataCSV(), IG.Num.SampledDataSet.LoadDefinitionDataCSV(), IG.Num.SampledDataSet.LoadSampledDataCSVinOneLine(), IG.Neural.NeuralTadej.LoadTrainingDataCSVinOneLine(), IG.Script.LoadableScriptShellNeuralBase.OutputDistance(), IG.Script.LoadableScriptShellNeuralBase.PrintNeuralData(), IG.Num.SampledDataCsv.ReadElementMaximalValues(), IG.Num.SampledDataCsv.ReadElementMinimalValues(), IG.Forms.InputParametersControl.ResetToCenter(), IG.Forms.InputParametersControl.ResetToDefault(), IG.Neural.NeuralTadej.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveSampledDataCSVinOneLine(), IG.Neural.NeuralTadej.SaveTrainingDataCSVinOneLine(), IG.Num.SampledDataCsv.StoreDefinition(), IG.Num.InputOutputDataDefiniton.SupplementDataDefinition(), and IG.Forms.InputParameterSelectorMinMax.UpdateDataDefinition().

virtual double IG.Num.InputOutputElementDefinition.MinimalValue
| get set

Minimal value for the data element described by the current definition.

Referenced by IG.Forms.InputParametersControl.CopyDataToGrid(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyDataToGridRow(), IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyGridRowToData(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Script.LoadableScriptShellNeuralBase.CreateDistortedModelData(), IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.InputOutputDataDefiniton.GetInputBounds(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputMin(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputPerturbance(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputRelative(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputVector(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralOutputPerturbance(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralOutputRelative(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralOutputVector(), IG.Num.InputOutputDataDefiniton.GetOutputBounds(), IG.Script.LoadableScriptShellNeuralBase.GetRandomNeuralInputFromDataDefinition(), IG.Script.LoadableScriptShellNeuralBase.GetRandomNeuralOutput(), IG.Script.LoadableScriptShellNeuralBase.GetSimulationInputMin(), IG.Script.LoadableScriptShellNeuralBase.InputDistance(), IG.Neural.NeuralTadej.LoadDefinitionDataCSV(), IG.Num.SampledDataSet.LoadDefinitionDataCSV(), IG.Num.SampledDataSet.LoadSampledDataCSVinOneLine(), IG.Neural.NeuralTadej.LoadTrainingDataCSVinOneLine(), IG.Script.LoadableScriptShellNeuralBase.OutputDistance(), IG.Script.LoadableScriptShellNeuralBase.PrintNeuralData(), IG.Num.SampledDataCsv.ReadElementMinimalValues(), IG.Forms.InputParametersControl.ResetToCenter(), IG.Forms.InputParametersControl.ResetToDefault(), IG.Neural.NeuralTadej.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveSampledDataCSVinOneLine(), IG.Neural.NeuralTadej.SaveTrainingDataCSVinOneLine(), IG.Num.SampledDataCsv.StoreDefinition(), IG.Num.InputOutputDataDefiniton.SupplementDataDefinition(), and IG.Forms.InputParameterSelectorMinMax.UpdateDataDefinition().

virtual double IG.Num.InputOutputElementDefinition.MaximalValue
| get set

Maximal value for the data element described by the current definition.

Referenced by IG.Forms.InputParametersControl.CopyDataToGrid(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyDataToGridRow(), IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Forms.InpuOrOutputtDataDefinitionControl.CopyGridRowToData(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Script.LoadableScriptShellNeuralBase.CreateDistortedModelData(), IG.Num.VectorFunctionScriptControllerBase< VectorFunctionType, ScalarFunctionControllerType, ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.ScalarFunctionScriptControllerBase< ScalarFunctionType >.GetDataDefinitionObject(), IG.Num.InputOutputDataDefiniton.GetInputBounds(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputMax(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputPerturbance(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputRelative(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralInputVector(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralOutputPerturbance(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralOutputRelative(), IG.Script.LoadableScriptShellNeuralBase.GetNeuralOutputVector(), IG.Num.InputOutputDataDefiniton.GetOutputBounds(), IG.Script.LoadableScriptShellNeuralBase.GetRandomNeuralInputFromDataDefinition(), IG.Script.LoadableScriptShellNeuralBase.GetRandomNeuralOutput(), IG.Script.LoadableScriptShellNeuralBase.GetSimulationInputMax(), IG.Script.LoadableScriptShellNeuralBase.InputDistance(), IG.Neural.NeuralTadej.LoadDefinitionDataCSV(), IG.Num.SampledDataSet.LoadDefinitionDataCSV(), IG.Num.SampledDataSet.LoadSampledDataCSVinOneLine(), IG.Neural.NeuralTadej.LoadTrainingDataCSVinOneLine(), IG.Script.LoadableScriptShellNeuralBase.OutputDistance(), IG.Script.LoadableScriptShellNeuralBase.PrintNeuralData(), IG.Num.SampledDataCsv.ReadElementMaximalValues(), IG.Forms.InputParametersControl.ResetToCenter(), IG.Forms.InputParametersControl.ResetToDefault(), IG.Neural.NeuralTadej.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveDefinitionDataCSV(), IG.Num.SampledDataSet.SaveSampledDataCSVinOneLine(), IG.Neural.NeuralTadej.SaveTrainingDataCSVinOneLine(), IG.Num.SampledDataCsv.StoreDefinition(), IG.Num.InputOutputDataDefiniton.SupplementDataDefinition(), and IG.Forms.InputParameterSelectorMinMax.UpdateDataDefinition().

virtual bool IG.Num.InputOutputElementDefinition.TargetValueDefined
| get set

Flag indicating whether target value is defined for the data element described by the current definition.

Referenced by IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Num.InputOutputDataDefiniton.IsAnyInputTargetValueDefined(), IG.Num.InputOutputDataDefiniton.IsAnyOutputTargetValueDefined(), IG.Num.SampledDataCsv.ReadElementTargetValues(), IG.Num.SampledDataCsv.StoreDefinition(), and IG.Num.InputOutputDataDefiniton.SupplementDataDefinition().

virtual double IG.Num.InputOutputElementDefinition.TargetValue
| get set

Target value of the current element. Used for optimization.

Referenced by IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Script.LoadableScriptShellNeuralBase.CreateDistortedModelData(), IG.Script.LoadableScriptShellNeuralBase.PrintNeuralData(), IG.Num.SampledDataCsv.ReadElementTargetValues(), IG.Num.SampledDataCsv.StoreDefinition(), and IG.Num.InputOutputDataDefiniton.SupplementDataDefinition().

virtual bool IG.Num.InputOutputElementDefinition.ScalingLengthDefined
| get set

Flag indicating whether scaling length is defined for the data element described by the current definition.

Referenced by IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Num.InputOutputDataDefiniton.IsAnyInputScalingLengthDefined(), IG.Num.InputOutputDataDefiniton.IsAnyOutputScalingLengthDefined(), IG.Num.SampledDataCsv.ReadElementScalingLengths(), IG.Num.SampledDataCsv.StoreDefinition(), and IG.Num.InputOutputDataDefiniton.SupplementDataDefinition().

virtual double IG.Num.InputOutputElementDefinition.ScalingLength
| get set

Scaling length, used for optimization and other tasks where scaling of input or output quantities is important.

Referenced by IG.Num.InputOutputElementDefinitionDto< ElementType >.CopyFromPlain(), IG.Num.InputOutputElementDefinition.CopyPlain(), IG.Script.LoadableScriptShellNeuralBase.CreateDistortedModelData(), IG.Num.SampledDataCsv.ReadElementScalingLengths(), IG.Num.SampledDataCsv.StoreDefinition(), and IG.Num.InputOutputDataDefiniton.SupplementDataDefinition().

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/sampleddata/SampledDataDefinition.cs